package com.shining.cloud.pojo.information;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @description: 终端消息
 * @author: denghuajun
 * @time: 2019-10-17 14:02:56
 **/
@Table(name = "App_DevMsg")
public class DevMsg {
    @Id
    @Column(name = "DEVMSG_INDEX")
    private String devMsgIndex;//终端消息列表Guid
    @Column(name = "USER_INDEX")
    private String userIndex;//	(关联app_user表User_Index)权限用户id
    @Column(name = "TIMEID")
    private Date timeId;//统计时间
    @Column(name = "LIMITNUM")
    private int limitNum;
    @Column(name = "STATE")
    private int state;//读取状态(0：未读，1：已读，2：删除)

    public String getDevMsgIndex() {
        return devMsgIndex;
    }

    public void setDevMsgIndex(String devMsgIndex) {
        this.devMsgIndex = devMsgIndex;
    }

    public String getUserIndex() {
        return userIndex;
    }

    public void setUserIndex(String userIndex) {
        this.userIndex = userIndex;
    }

    public Date getTimeId() {
        return timeId;
    }

    public void setTimeId(Date timeId) {
        this.timeId = timeId;
    }


    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public int getLimitNum() {
        return limitNum;
    }

    @Override
    public String toString() {
        return "DevMsg{" +
                "devMsgIndex='" + devMsgIndex + '\'' +
                ", userIndex='" + userIndex + '\'' +
                ", timeId=" + timeId +
                ", limitNum=" + limitNum +
                ", state=" + state +
                '}';
    }

    public void setLimitNum(int limitNum) {
        this.limitNum = limitNum;
    }
}